function onBegin()
	if (getFlag("greenguyTalked",true) and not getFlag("greenguyTalkedAgain",true)) then
	disableMovement()
	disableRetry()
	-- zoom to a point x, y, amount, duration
	playMusic("event:/CrossoverCollab/Earthblade/Poison_in_the_Roots",0)
	coroutine.yield(engine.Scene:ZoomTo(vector2(160, 104), 1.1, 1))
	say("CC_Earthblade_pathblocked")
	coroutine.yield(engine.Scene:ZoomBack(1))
	setFlag("pathblocked",true)
	end
end
	
function onEnd(wasSkipped)
	if wasSkipped and (getFlag("greenguyTalked",true) and not getFlag("greenguyTalkedAgain",true)) then
		setFlag("pathblocked",true)
	end
	enableMovement()
	enableRetry()
end